# Generated from archiver-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name archiver

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Archiver is a simple gem to rename photos and videos and archive them
License: MIT
URL: https://github.com/tbpro/archiver
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(whitespace) >= 2.0.4
# BuildRequires: rubygem(whitespace) < 2.1
# BuildRequires: rubygem(yard) >= 0.7.5
# BuildRequires: rubygem(yard) < 0.8
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(jeweler) < 1.9
BuildArch: noarch

%description
Archiver is a simple gem to rename photos and videos depending on creation
date and exif informations to archive directories in subfolders by year. It
sorts out duplicate files to.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/archiver
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/archiver.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.1.0-1
- Initial package
